// Code generated by MockGen. DO NOT EDIT.
// Source: cluster_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/autodevops/v1"
	grpc "google.golang.org/grpc"
)

// MockClusterClient is a mock of ClusterClient interface.
type MockClusterClient struct {
	ctrl     *gomock.Controller
	recorder *MockClusterClientMockRecorder
}

// MockClusterClientMockRecorder is the mock recorder for MockClusterClient.
type MockClusterClientMockRecorder struct {
	mock *MockClusterClient
}

// NewMockClusterClient creates a new mock instance.
func NewMockClusterClient(ctrl *gomock.Controller) *MockClusterClient {
	mock := &MockClusterClient{ctrl: ctrl}
	mock.recorder = &MockClusterClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockClusterClient) EXPECT() *MockClusterClientMockRecorder {
	return m.recorder
}

// Register mocks base method.
func (m *MockClusterClient) Register(ctx context.Context, in *v1.RegisterRequest, opts ...grpc.CallOption) (*v1.RegisterResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "Register", varargs...)
	ret0, _ := ret[0].(*v1.RegisterResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Register indicates an expected call of Register.
func (mr *MockClusterClientMockRecorder) Register(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Register", reflect.TypeOf((*MockClusterClient)(nil).Register), varargs...)
}

// MockClusterServer is a mock of ClusterServer interface.
type MockClusterServer struct {
	ctrl     *gomock.Controller
	recorder *MockClusterServerMockRecorder
}

// MockClusterServerMockRecorder is the mock recorder for MockClusterServer.
type MockClusterServerMockRecorder struct {
	mock *MockClusterServer
}

// NewMockClusterServer creates a new mock instance.
func NewMockClusterServer(ctrl *gomock.Controller) *MockClusterServer {
	mock := &MockClusterServer{ctrl: ctrl}
	mock.recorder = &MockClusterServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockClusterServer) EXPECT() *MockClusterServerMockRecorder {
	return m.recorder
}

// Register mocks base method.
func (m *MockClusterServer) Register(arg0 context.Context, arg1 *v1.RegisterRequest) (*v1.RegisterResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Register", arg0, arg1)
	ret0, _ := ret[0].(*v1.RegisterResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Register indicates an expected call of Register.
func (mr *MockClusterServerMockRecorder) Register(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Register", reflect.TypeOf((*MockClusterServer)(nil).Register), arg0, arg1)
}

// MockUnsafeClusterServer is a mock of UnsafeClusterServer interface.
type MockUnsafeClusterServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeClusterServerMockRecorder
}

// MockUnsafeClusterServerMockRecorder is the mock recorder for MockUnsafeClusterServer.
type MockUnsafeClusterServerMockRecorder struct {
	mock *MockUnsafeClusterServer
}

// NewMockUnsafeClusterServer creates a new mock instance.
func NewMockUnsafeClusterServer(ctrl *gomock.Controller) *MockUnsafeClusterServer {
	mock := &MockUnsafeClusterServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeClusterServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeClusterServer) EXPECT() *MockUnsafeClusterServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedClusterServer mocks base method.
func (m *MockUnsafeClusterServer) mustEmbedUnimplementedClusterServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedClusterServer")
}

// mustEmbedUnimplementedClusterServer indicates an expected call of mustEmbedUnimplementedClusterServer.
func (mr *MockUnsafeClusterServerMockRecorder) mustEmbedUnimplementedClusterServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedClusterServer", reflect.TypeOf((*MockUnsafeClusterServer)(nil).mustEmbedUnimplementedClusterServer))
}
